/*
 * Copyright (C) 2009-2020 SAP SE or an SAP affiliate company. All rights reserved.
 */
jQuery.sap.declare("sap.cloudfnd.smartbusiness.lib.reusetiles.RequestManager");sap.ui.define(["sap/cloudfnd/smartbusiness/lib/reusetiles/TileLoadManager"],function(t){"use strict";sap.cloudfnd.smartbusiness.lib.reusetiles.RequestManager={fetchDynamicAppDescriptor:function(c,e,s,S,f){var u=new sap.cloudfnd.smartbusiness.lib.reusetiles.Util();u.getCacheTokens(c).done(jQuery.proxy(function(C){var a=u.findAndExtractAnnotationCacheToken(C);jQuery.proxy(u.fireRequestForDynammicAppDescriptor,this)(e,s,a,S,f);},this)).fail(jQuery.proxy(function(){var m="fetchDynamicAppDescriptor";var F="sap.cloudfnd.smartbusiness.lib.reusetiles.RequestManager";jQuery.sap.log.error(F+"/"+m,"Unable to fetch cache tokens.");jQuery.proxy(u.fireRequestForDynammicAppDescriptor,this)(e,s,"",S,f);},this));},initializeODataAndAnnotationModelInComponent:function(c,C,a,A){var d=jQuery.Deferred();var u=sap.cloudfnd.smartbusiness.lib.reusetiles.Util.prototype;u.getCacheTokens(C).done(function(b){u.fireMetadataAndAnnotationLoad(c,C,a,A,b,d);}).fail(function(r){u.fireMetadataAndAnnotationLoad(c,C,a,A,[],d);});return d.promise();},handleDataFailure:function(O,f){O.attachRequestFailed(f);}};return sap.cloudfnd.smartbusiness.lib.reusetiles.RequestManager;});
